API referenceLogs
Get a single log
AuthorizationBearer <token>
Workspace webhook token from Settings -> Integrations.
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/logs/string"{
"id": "string",
"workspaceId": "string",
"userId": "string",
"timestamp": "2019-08-24T14:15:22Z",
"projectId": "string",
"projectName": "string",
"taskName": "string",
"sessionId": "string",
"subjectId": "string",
"actorId": "string",
"model": "string",
"status": "pending",
"latencyMs": 0,
"costUsd": 0,
"input": "string",
"output": "string",
"metadata": {},
"verdict": "pass",
"confidenceScore": 0,
"explanation": "string",
"humanDecision": "approved",
"decidedAt": "2019-08-24T14:15:22Z",
"decidedBy": "string",
"decisionSource": "string",
"callbackUrl": "string",
"callbackEvents": "string",
"slackMessageTs": "string",
"mediaBytes": 0,
"createdAt": "2019-08-24T14:15:22Z",
"appliedRules": [
{
"ruleId": "string",
"ruleName": "string",
"ruleType": "keyword_required",
"ruleValue": "string",
"scope": "global",
"projectName": "string",
"taskName": "string",
"outcome": "passed",
"summary": "string",
"evaluator": "deterministic",
"model": "string",
"llmOutput": "string"
}
]
}{
"error": "string",
"code": "string",
"fields": {
"property1": "string",
"property2": "string"
}
}{
"error": "string",
"code": "string",
"fields": {
"property1": "string",
"property2": "string"
}
}Submit an AI output for evaluation
Default mode is async (`sync` omitted or `false`): the log is stored and the endpoint responds immediately with HTTP `202` and `status: pending` while evaluation runs in the background. Pass `sync: true` to evaluate inline and return the full verdict with HTTP `200`. Rate limit: 60 requests per minute per workspace token. Exceeding the limit returns `429` with a `Retry-After: 60` header.
Delete a single log
Next Page